Subject: Re: [PATCH] test-lib: add tests for test_might_fail

From: Jeff King <[email-masked]>
Date: Sun, 17 Jan 2021 11:48:54 -0500

On Sat, Jan 16, 2021 at 03:41:47PM +0100, Ævar Arnfjörð Bjarmason wrote:

> > The title confuses me. Isn't might_fail like "must_fail ok=success"?
> >
> > And certainly the code here shows us expecting the _opposite_ of what
> > "Must_fail ok=" does.
> 
> Yes, this made no sense. Here's a sensibe test.
> 
> Junio: This is a stand-alone patch now. I'm splitting this off from my
> WIP v2 of the "set -o pipefail" series.

OK, I'm glad I wasn't just missing something. :) This one makes sense to
me, and seems like a reasonable thing to be checking.

-Peff